
typedef struct
{
  char *type;
  char *id;
} InputSource;

static InputSource non_latin_input_sources[] =
{
  { "xkb", "af" },
  { "xkb", "af+fa-olpc" },
  { "xkb", "af+ps" },
  { "xkb", "af+ps-olpc" },
  { "xkb", "af+uz" },
  { "xkb", "af+uz-olpc" },
  { "xkb", "am" },
  { "xkb", "am+eastern" },
  { "xkb", "am+eastern-alt" },
  { "xkb", "am+phonetic" },
  { "xkb", "am+phonetic-alt" },
  { "xkb", "am+western" },
  { "xkb", "ara" },
  { "xkb", "ara+azerty" },
  { "xkb", "ara+azerty_digits" },
  { "xkb", "ara+buckwalter" },
  { "xkb", "ara+digits" },
  { "xkb", "ara+qwerty" },
  { "xkb", "ara+qwerty_digits" },
  { "xkb", "az+cyrillic" },
  { "xkb", "bd" },
  { "xkb", "bd+probhat" },
  { "xkb", "bg" },
  { "xkb", "bg+bas_phonetic" },
  { "xkb", "bg+phonetic" },
  { "xkb", "brai" },
  { "xkb", "brai+left_hand" },
  { "xkb", "brai+right_hand" },
  { "xkb", "bt" },
  { "xkb", "by" },
  { "xkb", "by+legacy" },
  { "xkb", "ca+ike" },
  { "xkb", "ca+multi-2gr" },
  { "xkb", "cn+tib" },
  { "xkb", "cn+tib_asciinum" },
  { "xkb", "cn+ug" },
  { "xkb", "cz+ucw" },
  { "xkb", "de+ru" },
  { "xkb", "et" },
  { "xkb", "fr+geo" },
  { "xkb", "ge" },
  { "xkb", "ge+os" },
  { "xkb", "gr" },
  { "xkb", "gr+extended" },
  { "xkb", "gr+nodeadkeys" },
  { "xkb", "gr+polytonic" },
  { "xkb", "gr+simple" },
  { "xkb", "il" },
  { "xkb", "il+biblical" },
  { "xkb", "il+lyx" },
  { "xkb", "il+phonetic" },
  { "xkb", "in" },
  { "xkb", "in+ben" },
  { "xkb", "in+ben_baishakhi" },
  { "xkb", "in+ben_bornona" },
  { "xkb", "in+ben_gitanjali" },
  { "xkb", "in+ben_inscript" },
  { "xkb", "in+ben_probhat" },
  { "xkb", "in+bolnagri" },
  { "xkb", "in+deva" },
  { "xkb", "in+guj" },
  { "xkb", "in+guru" },
  { "xkb", "in+hin-kagapa" },
  { "xkb", "in+hin-wx" },
  { "xkb", "in+jhelum" },
  { "xkb", "in+kan" },
  { "xkb", "in+kan-kagapa" },
  { "xkb", "in+mal" },
  { "xkb", "in+mal_enhanced" },
  { "xkb", "in+mal_lalitha" },
  { "xkb", "in+mar-kagapa" },
  { "xkb", "in+ori" },
  { "xkb", "in+san-kagapa" },
  { "xkb", "in+tam" },
  { "xkb", "in+tam_tamilnet" },
  { "xkb", "in+tam_tamilnet_TAB" },
  { "xkb", "in+tam_tamilnet_TSCII" },
  { "xkb", "in+tam_tamilnet_with_tam_nums" },
  { "xkb", "in+tel" },
  { "xkb", "in+tel-kagapa" },
  { "xkb", "in+urd-phonetic" },
  { "xkb", "in+urd-phonetic3" },
  { "xkb", "in+urd-winkeys" },
  { "xkb", "iq" },
  { "xkb", "ir" },
  { "xkb", "ir+pes_keypad" },
  { "xkb", "jp+kana" },
  { "xkb", "jp+mac" },
  { "xkb", "kg" },
  { "xkb", "kg+phonetic" },
  { "xkb", "kh" },
  { "xkb", "kz" },
  { "xkb", "kz+kazrus" },
  { "xkb", "kz+ruskaz" },
  { "xkb", "la" },
  { "xkb", "la+stea" },
  { "xkb", "lk" },
  { "xkb", "lk+tam_TAB" },
  { "xkb", "lk+tam_unicode" },
  { "xkb", "ma" },
  { "xkb", "ma+tifinagh" },
  { "xkb", "ma+tifinagh-alt" },
  { "xkb", "ma+tifinagh-alt-phonetic" },
  { "xkb", "ma+tifinagh-extended" },
  { "xkb", "ma+tifinagh-extended-phonetic" },
  { "xkb", "ma+tifinagh-phonetic" },
  { "xkb", "me+cyrillic" },
  { "xkb", "me+cyrillicalternatequotes" },
  { "xkb", "me+cyrillicyz" },
  { "xkb", "mk" },
  { "xkb", "mk+nodeadkeys" },
  { "xkb", "mm" },
  { "xkb", "mn" },
  { "xkb", "mv" },
  { "xkb", "ng+hausa" },
  { "xkb", "ng+igbo" },
  { "xkb", "ng+yoruba" },
  { "xkb", "np" },
  { "xkb", "ph+capewell-dvorak-bay" },
  { "xkb", "ph+capewell-qwerf2k6-bay" },
  { "xkb", "ph+colemak-bay" },
  { "xkb", "ph+dvorak-bay" },
  { "xkb", "ph+qwerty-bay" },
  { "xkb", "pk" },
  { "xkb", "pk+ara" },
  { "xkb", "pk+snd" },
  { "xkb", "pk+urd-crulp" },
  { "xkb", "pk+urd-nla" },
  { "xkb", "pl+ru_phonetic_dvorak" },
  { "xkb", "rs" },
  { "xkb", "rs+alternatequotes" },
  { "xkb", "rs+rue" },
  { "xkb", "rs+yz" },
  { "xkb", "ru" },
  { "xkb", "ru+bak" },
  { "xkb", "ru+chm" },
  { "xkb", "ru+cv" },
  { "xkb", "ru+dos" },
  { "xkb", "ru+kom" },
  { "xkb", "ru+legacy" },
  { "xkb", "ru+mac" },
  { "xkb", "ru+os_legacy" },
  { "xkb", "ru+os_winkeys" },
  { "xkb", "ru+phonetic" },
  { "xkb", "ru+phonetic_winkeys" },
  { "xkb", "ru+sah" },
  { "xkb", "ru+srp" },
  { "xkb", "ru+tt" },
  { "xkb", "ru+typewriter" },
  { "xkb", "ru+typewriter-legacy" },
  { "xkb", "ru+udm" },
  { "xkb", "ru+xal" },
  { "xkb", "se+rus" },
  { "xkb", "se+rus_nodeadkeys" },
  { "xkb", "se+swl" },
  { "xkb", "sy" },
  { "xkb", "sy+syc" },
  { "xkb", "sy+syc_phonetic" },
  { "xkb", "th" },
  { "xkb", "th+pat" },
  { "xkb", "th+tis" },
  { "xkb", "tj" },
  { "xkb", "tj+legacy" },
  { "xkb", "tz" },
  { "xkb", "ua" },
  { "xkb", "ua+homophonic" },
  { "xkb", "ua+legacy" },
  { "xkb", "ua+phonetic" },
  { "xkb", "ua+rstu" },
  { "xkb", "ua+rstu_ru" },
  { "xkb", "ua+typewriter" },
  { "xkb", "ua+winkeys" },
  { "xkb", "us+chr" },
  { "xkb", "us+rus" },
  { "xkb", "uz" },
  { NULL, NULL },
};
